Name: bk-client
Version: 1.1
Release: alt3

Summary: BitKeeper client tool
License: NWL
Group: Development/Other
Url: http://www.bitmover.com

Source0: %url/bk-client.shar

# Automatically added by buildreq on Mon Mar 21 2005
BuildRequires: sharutils zlib-devel

Summary(ru_RU.KOI8-R):       BitKeeper

%description
This package contains Open Source BitKeeper Client
that provides the same functionality as the update command in CVS,
i.e., it may be used to track the changes to a project maintained in BitKeeper.

The client works with any of projects maintained on www.bkbits.net.

%description -l ru_RU.KOI8-R
      BitKeeper.
BitKeeper -    ,    
     ,
        .

 BitKeeper-  http://www.bkbits.net,
    ,    Linux.

%prep
%__rm -rf bk_client-%version
sh %SOURCE0 -c
%setup -q -D -T -n bk_client-%version

%build
%__subst 's,\`update,bk-update,g' demo.sh
# Modern GCC in Sisyphus requires that all -lxxx must be placed at command tail.
%__subst 's,-lz sfio.c,sfio.c -lz,g' Makefile
%make_build

%install
%__install -pD -m755 sfio     %buildroot%_bindir/sfio
%__install -pD -m755 sfioball %buildroot%_bindir/sfioball
%__install -pD -m755 update   %buildroot%_bindir/bk-update

%files
%_bindir/sfio*
%_bindir/bk-update
%doc demo.sh

%changelog
* Wed Mar 22 2006 Ilya G. Evseev <evseev@altlinux.ru> 1.1-alt3
- Fixed failure in building under hasher: modern GCC compiler
  needs -lXXX to be placed at end of command line.

* Mon Oct 10 2005 Ilya G. Evseev <evseev@altlinux.ru> 1.1-alt2
- Fixed bug in URL macro

* Mon Mar 21 2005 Ilya G. Evseev <evseev@altlinux.ru> 1.1-alt1
- Initial build for ALTLinux

## EOF ##
